#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel     2

Name:           kdiagram
Version:        3.0.1
Release:        %mkrel %{rel}
Summary:        Powerful libraries (KChart, KGantt) for creating business diagrams
License:        GPLv2+
Group:          Development/KDE and Qt
Url:            https://invent.kde.org/graphics/kdiagram
Source0:        https://download.kde.org/stable/kdiagram/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Help)
BuildRequires:  cmake(Qt6PrintSupport)
BuildRequires:  cmake(Qt6Sql)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Widgets)

%description
Powerful libraries (KChart, KGantt) for creating business diagrams.

#---------------------------------------------

%define kchart_major 3
%define libkchart    %mklibname kchart6_ %{kchart_major}

%package -n     %{libkchart}
Summary:        Powerful libraries KChart for creating business diagrams
Group:          System/Libraries

%description -n %{libkchart}
Powerful libraries KChart for creating business diagrams.

%files -n %{libkchart} -f kchart6_qt.lang
%{_kf6_libdir}/libKChart6.so.%{kchart_major}{,.*}

#---------------------------------------------

%define kgantt_major 3
%define libkgantt    %mklibname kgantt6_ %{kgantt_major}

%package -n     %{libkgantt}
Summary:        Powerful libraries KGantt for creating business diagrams
Group:          System/Libraries

%description -n %{libkgantt}
Powerful libraries KGantt for creating business diagrams.

%files -n %{libkgantt} -f kgantt6_qt.lang
%{_kf6_libdir}/libKGantt6.so.%{kgantt_major}{,.*}

#---------------------------------------------

%define develname %mklibname %{name} -d

%package -n     %{develname}
Summary:        Development package for %{name}
Group:          Development/KDE and Qt
Requires:       %{libkchart} = %{version}-%{release}
Requires:       %{libkgantt} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       kchart-devel = %{version}-%{release}
Provides:       kgantt-devel = %{version}-%{release}

%description -n %{develname}
Header files for development with %{name}.
This package include KChart and KGantt header files.

%files -n %{develname}
%{_includedir}/KChart6/
%{_includedir}/KGantt6/
%{_kf6_libdir}/libKChart6.so
%{_kf6_libdir}/libKGantt6.so
%{_kf6_libdir}/cmake/KChart6/
%{_kf6_libdir}/cmake/KGantt6/
%{_kf6_mkspecsdir}/qt_KChart6.pri
%{_kf6_mkspecsdir}/qt_KGantt6.pri

#---------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang_kf6 kchart6_qt
%find_lang_kf6 kgantt6_qt


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 3.0.1-2.mga10
+ Revision: 2220973
- Mageia 10 Mass Rebuild

* Tue Jan 09 2024 daviddavid <daviddavid> 3.0.1-1.mga10
+ Revision: 2029157
- new version: 3.0.1

* Tue Dec 05 2023 daviddavid <daviddavid> 3.0.0-1.mga10
+ Revision: 2013476
- new version: 3.0.0

* Mon Nov 20 2023 daviddavid <daviddavid> 2.8.0-3.git20231120.1.mga10
+ Revision: 2008476
- update to latest git snapshot 20231120 ported to Qt6

* Mon Apr 04 2022 umeabot <umeabot> 2.8.0-2.mga9
+ Revision: 1843476
- Mageia 9 Mass Rebuild

* Tue Jan 26 2021 daviddavid <daviddavid> 2.8.0-1.mga8
+ Revision: 1673512
- new version: 2.8.0

* Thu Dec 17 2020 umeabot <umeabot> 2.7.0-2.mga8
+ Revision: 1658684
- Rebuild for new Qt5

* Tue Apr 21 2020 daviddavid <daviddavid> 2.7.0-1.mga8
+ Revision: 1570226
- new version: 2.7.0

* Mon Apr 13 2020 daviddavid <daviddavid> 2.6.3-1.mga8
+ Revision: 1567033
- new version: 2.6.3

* Sun Mar 29 2020 daviddavid <daviddavid> 2.6.2-1.mga8
+ Revision: 1562053
- new version: 2.6.2

* Sat Feb 15 2020 umeabot <umeabot> 2.6.1-4.mga8
+ Revision: 1524668
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sat Mar 30 2019 umeabot <umeabot> 2.6.1-3.mga7
+ Revision: 1382314
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 2.6.1-2.mga7
+ Revision: 1298508
- Mageia 7 Mass Rebuild

* Thu Apr 19 2018 daviddavid <daviddavid> 2.6.1-1.mga7
+ Revision: 1220217
- new version: 2.6.1

* Mon Nov 07 2016 daviddavid <daviddavid> 2.6.0-1.mga6
+ Revision: 1065724
- update to 2.6.0 final release
- update Source URL

* Wed Apr 20 2016 daviddavid <daviddavid> 2.6.0-0.git20160128.1.mga6
+ Revision: 1003814
- initial package kdiagram

